#include "xmaterialmemory.h"

XMaterialMemory::XMaterialMemory()
    : XAsset()
    , mMaterial(new XMaterial())
    , mMemory(0)
{
    SetName("Material Memory");
}

XMaterialMemory::~XMaterialMemory()
{
    
}

void XMaterialMemory::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XMaterialMemory::ParseData
}

void XMaterialMemory::Clear()
{
    
}
